module parameters changed in kvm-intel

With linux kernel 2.6.32 module parameters for kvm-intel changed so if you cannot load the module anymore and you get errors in dmesg like

kvm_intel: Unknown parameter `enable_vpid’
kvm_intel: Unknown parameter `enable_ept’
kvm_intel: Unknown parameter `flexpriority_enabled’

you should update your module config. For gentoo users this means to edit the file

/etc/modules.d/kvm_intel

and to remove the obsolete parameters. Afterwards run

update-modules -f

Now you should be able to load the module and do kvm vitualization again.

For me this problem occured when trying the new zen-sources-2.6.32-zen1 (also in zen2). Sadly this kernel is affected by the bug which causes higher power consumption (at least on my Precision M65) when not running a suspend to ram cycle before. This also occurs with vanilla sources. For more information on this topic see bugzilla.kernel.org.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...